demos module depends on legacy

Description

The demos module contains code which uses the old crs system. For now it compiles with the legacy module but as this module stands as a 'how-to' it is critical that it is updated before the first release candidate for 2.1

Environment

None

Activity

Show:
codehaus
April 10, 2015, 3:10 PM

CodeHaus Comment From: desruisseaux - Time: Tue, 5 Apr 2005 18:51:32 -0500
---------------------
I think that "module/legacy/demo" should moves to "module/migrate/demo". This is not the first thing that we move from 'legacy' to 'migrate'. I will apply this move right away.

codehaus
April 10, 2015, 3:10 PM

CodeHaus Comment From: jgarnett - Time: Sun, 5 Mar 2006 15:38:01 -0600
---------------------
This has been a while with now action, lets remove the offending demos. Right now all they do is trick new users into using the styledmap pane.

Since trunk is now moved up to 2.3 we should really be able to remove legacy (as far as I know no additional code was added to legacy of the course of 2.2 development).

codehaus
April 10, 2015, 3:10 PM

CodeHaus Comment From: jgarnett - Time: Sun, 5 Mar 2006 15:40:03 -0600
---------------------
Martin I regret assigning this bug to you, however you are the only developer involved with the legacy code at the moment and you may wish to save these demos. Traditionaly I volunteer Rueben for demo stuff but I am hoping to leave him in quiet to finish his masters.

This may be as simple as an svn rm on trunk.

codehaus
April 10, 2015, 3:10 PM

CodeHaus Comment From: desruisseaux - Time: Sun, 5 Mar 2006 16:07:40 -0600
---------------------
I'm not sure which demo module we are talking about. I just had a look at gt/demo, and it seems to me that the code there is up to date?

codehaus
April 10, 2015, 3:10 PM

CodeHaus Comment From: desruisseaux - Time: Thu, 29 Jun 2006 16:36:58 -0500
---------------------
The "legacy" and "migrate" modules have been removed from trunk and 2.2 branch, so I assume that there is no remaining dependency around.

The &quot;legacy&quot; and &quot;migrate&quot; modules have been copied there, for the purpose of GO-1 work (<a href="https://jira.codehaus.org/browse/GEOT-415" title="Port the whole J2D-renderer to the GeoAPI (GO-1) interfaces" class="issue-link" data-issue-key="GEOT-415"><strike>GEOT-415</strike></a>): <a href="http://svn.geotools.org/geotools/branches/legacy/">http://svn.geotools.org/geotools/branches/legacy/</a>

Assignee

Unassigned

Reporter

codehaus

Triage

None

Fix versions

Priority

Highest
Configure